Skip to main content
Query status of edge nodes
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean
runState
enum<string>
default:UNSPECIFIED
Available options:
UNSPECIFIED,
ONLINE,
HALTED,
INIT,
REBOOTING,
OFFLINE,
UNKNOWN,
UNPROVISIONED,
PROVISIONED,
SUSPECT,
DOWNLOADING,
RESTARTING,
PURGING,
HALTING,
ERROR,
VERIFYING,
LOADING,
CREATING_VOLUME,
BOOTING,
MAINTENANCE_MODE,
START_DELAYED,
BASEOS_UPDATING,
PREPARING_POWEROFF,
POWERING_OFF,
PREPARED_POWEROFF
projectName
string
load
enum<string>
default:UNSPECIFIED
Available options:
UNSPECIFIED,
FREE,
MODERATE,
HEAVY
namePattern
string
tags
string
projectNamePattern
string
deviceName
string
next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select for composite api: id, name, title, serialNo, projectId, projectName, isEveLatest, appInstCount, runState, adminState.

adminState
enum<string>
default:UNSPECIFIED
  • CREATED: Entity Created in the controller
  • DELETED: Entity Deleted in the controller
  • ACTIVE: Entity Activated in the controller
  • INACTIVE: Entity Deactivated in the controller
  • REGISTERED: Specific to Edge-node - Edge-node Registered with the controller
  • ARCHIVED: Entity Archived in the controller
Available options:
UNSPECIFIED,
CREATED,
DELETED,
ACTIVE,
INACTIVE,
REGISTERED,
ARCHIVED
eveLtsSupportType
enum<string>
default:SUPPORT_TYPE_UNSPECIFIED

filter devices by eve version support type i.e LTS OR NON_LTS

Available options:
SUPPORT_TYPE_UNSPECIFIED,
SUPPORT_TYPE_LTS,
SUPPORT_TYPE_NON_LTS
includeInterfaces
boolean

flag to indicate whether to include network interface details in the response

titlePattern
string

title pattern

Response

A successful response.

list
object[]
summaryByState
Summary is used to store the Summary details · object

Summary is used to store the Summary details

summaryByAppInstanceCount
Summary is used to store the Summary details · object

Summary is used to store the Summary details

summaryByEVEDistribution
Summary is used to store the Summary details · object

Summary is used to store the Summary details

totalCount
integer<int64>
totalEdgeviewActive
integer<int64>
next
Cursor is used as filter in list operation. · object

Cursor helps in filtering the various list response like edge-app bundle list, model list, bundle list etc.